POST /v2/api/products/imageupload/batch

Upload images for multiple products using base64 encoded image data

application/json

Body Required

  • filename string
  • imageData string
  • key string
  • season string
  • variantGroupId string

Responses

  • 200 application/json

    OK

    Hide response attributes Show response attributes object
    • message string
    • reference string
    • referenceField string
    • statusCode integer
  • default application/json

    All errors will return the same object with a describing code & message

    Hide response attributes Show response attributes object
    • error string
    • message string
    • statusCode integer
POST /v2/api/products/imageupload/batch
curl \
 --request POST 'https://api.maddenanalytics.com/v2/api/products/imageupload/batch' \
 --header "Content-Type: application/json" \
 --data '[{"filename":"string","imageData":"string","key":"string","season":"string","variantGroupId":"string"}]'
Request examples
[
  {
    "filename": "string",
    "imageData": "string",
    "key": "string",
    "season": "string",
    "variantGroupId": "string"
  }
]
Response examples (200)
[
  {
    "message": "Missing BrandName",
    "reference": "123456-001-43",
    "referenceField": "key",
    "statusCode": 400
  }
]
Response examples (default)
{
  "error": "Error Type (if any)",
  "message": "Message describing the error",
  "statusCode": 400
}